Resource

Call Log

Logs of all the Call sent out to all users and subscribers for this project.

The Call Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    toNumber
    Type
    PhoneRequired
    Description

    Phone Number Call was sent to

  • Name
    fromNumber
    Type
    PhoneRequired
    Description

    Phone Number Call was sent from

  • Name
    callData
    Type
    JSONRequired
    Description

    Content of the data that was sent in the call

  • Name
    statusMessage
    Type
    Long Text
    Description

    Status Message (if any)

  • Name
    status
    Type
    TextRequired
    Description

    Status of the Call sent

  • Name
    callCostInUSDCents
    Type
    NumberRequired
    Description

    Call Cost in USD Cents

  • Name
    incident
    Type
    Incident
    Description

    Incident associated with this Call (if any)

  • Name
    incidentId
    Type
    Object ID
    Description

    ID of Incident associated with this Call (if any)

  • Name
    user
    Type
    User
    Description

    User who initiated this Call (if any)

  • Name
    userId
    Type
    Object ID
    Description

    ID of User who initiated this Call (if any)

  • Name
    alert
    Type
    Alert
    Description

    Alert associated with this Call (if any)

  • Name
    alertId
    Type
    Object ID
    Description

    ID of Alert associated with this Call (if any)

  • Name
    monitor
    Type
    Monitor
    Description

    Monitor associated with this Call (if any)

  • Name
    monitorId
    Type
    Object ID
    Description

    ID of Monitor associated with this Call (if any)

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Scheduled Maintenance associated with this Call (if any)

  • Name
    scheduledMaintenanceId
    Type
    Object ID
    Description

    ID of Scheduled Maintenance associated with this Call (if any)

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page associated with this Call (if any)

  • Name
    statusPageId
    Type
    Object ID
    Description

    ID of Status Page associated with this Call (if any)

  • Name
    statusPageAnnouncement
    Type
    Status Page Announcement
    Description

    Status Page Announcement associated with this Call (if any)

  • Name
    statusPageAnnouncementId
    Type
    Object ID
    Description

    ID of Status Page Announcement associated with this Call (if any)

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    On-Call Duty Policy associated with this Call (if any)

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy associated with this Call (if any)

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    On-Call Duty Policy Escalation Rule associated with this Call (if any)

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Escalation Rule associated with this Call (if any)

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    On-Call Duty Policy Schedule associated with this Call (if any)

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Schedule associated with this Call (if any)

  • Name
    team
    Type
    Team
    Description

    Team associated with this Call (if any)

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team associated with this Call (if any)

GETorPOST/api/call-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your Call Log. By default, a maximum of ten Call Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/call-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "callCostInUSDCents": true,
    "callData": true,
    "fromNumber": true,
    "projectId": true,
    "status": true
  },
  "query": {
    "status": "Completed"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376d7300-28fe-11f1-b591-3fdcef396aba",
      "callCostInUSDCents": 150,
      "callData": {
        "message": "Alert notification",
        "incidentId": "123"
      },
      "fromNumber": "+1-555-999-8888",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Completed"
    },
    {
      "_id": "376d7301-28fe-11f1-b591-3fdcef396aba",
      "callCostInUSDCents": 150,
      "callData": {
        "message": "Alert notification",
        "incidentId": "123"
      },
      "fromNumber": "+1-555-999-8888",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Completed"
    },
    {
      "_id": "376d7302-28fe-11f1-b591-3fdcef396aba",
      "callCostInUSDCents": 150,
      "callData": {
        "message": "Alert notification",
        "incidentId": "123"
      },
      "fromNumber": "+1-555-999-8888",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Completed"
    }
  ]
}
GETorPOST/api/call-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve Call Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/call-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "callCostInUSDCents": true,
    "callData": true,
    "fromNumber": true,
    "projectId": true,
    "status": true
  }
}

Response

{
  "_id": "376d7300-28fe-11f1-b591-3fdcef396aba",
  "callCostInUSDCents": 150,
  "callData": {
    "message": "Alert notification",
    "incidentId": "123"
  },
  "fromNumber": "+1-555-999-8888",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "status": "Completed"
}
POST/api/call-log/count

Count

This endpoint allows you to retrieve the count of all your Call Log.

Optional Request Body

Count Request

POST
/api/call-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Completed"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Call Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Call Log
  • Read All Project Resources

Create Permissions

Required to create Call Log

This resource cannot be created via the API

Update Permissions

Required to update Call Log

This resource cannot be updated via the API

Delete Permissions

Required to delete Call Log

This resource cannot be deleted via the API